import React, {PureComponent} from 'react';
import PropTypes from 'prop-types';
import {Link} from 'react-router-dom';

export default class ElementNavTitle extends PureComponent {
    static propTypes = {
        description: PropTypes.string.isRequired,
        modelName: PropTypes.string.isRequired,
        title: PropTypes.string.isRequired,
        type: PropTypes.string.isRequired
    };

    render() {
        const {modelName, description, title, type} = this.props;

        return <Link className={`navigation ${modelName}`} to={`/${type}/${modelName}`}>
            <h2 className="navigation">{`${title} `}
                <span className="desc">{description}</span>
            </h2>
        </Link>;
    }
}
