import buttonActions from '../actions/button-actions';
import {buttonsState} from '../buttons-page/button-initial-state';
import {actionReducer, composeReducer, stateIdentity} from './reducer-utils';

const updateModel = actionReducer((state, action) => ({
    ...state,
    [action.modelName]: {
        ...state[action.modelName],
        model: action.value
    }
}));

export const buttonReducer = composeReducer(
    updateModel(buttonActions.UPDATE_MODEL),
    stateIdentity
)(buttonsState);
