import React, {PureComponent} from 'react';
import PropTypes from 'prop-types';
import {XlReactWidgetPatchSample}
    from '../../../xl-react-widget/xl-react-widget-patch-sample/xl-react-widget-patch-sample';
import './widget-patch-test-sample.less';

export default class WidgetPatchTestSample extends PureComponent {
    static propTypes = {
        filePath: PropTypes.string,
        headerLabel: PropTypes.string,
        model: PropTypes.string,
        modelName: PropTypes.string,
        selectedLines: PropTypes.arrayOf(PropTypes.string),
        updateState: PropTypes.func
    };

    handleLineSelected = (selectedLines) => {
        const {modelName, updateState} = this.props;
        updateState(modelName, {componentProps: {selectedLines}});
    };

    render() {
        const {
            filePath,
            headerLabel,
            model,
            selectedLines
        } = this.props;

        return <div className="widget-patch-test-sample">
            <XlReactWidgetPatchSample
                filePath={filePath}
                headerLabel={headerLabel}
                model={model}
                onLineSelected={this.handleLineSelected}
                selectedLines={selectedLines}
            />
        </div>;
    }
}
