import R from 'ramda';
import classNames from 'classnames';
import {isError, isWarning} from '../utils/ci-utils';

export const getBodyClass = (metadata) => {
    const isWithLabel = () => !R.isNil(R.path(['label'], metadata));

    return classNames({
        'xl-react-components-input': isWithLabel(),
        'xl-react-components-input-full': !isWithLabel()
    });
};

export const validationMessageClasses = (valid, message) => ({
    'valid-with-warnings': isWarning(valid, message),
    'invalid': isError(valid, message) // eslint-disable-line sort-keys
});

