import R from 'ramda';
import RS from 'ramdasauce';
import {localeMessages} from '../services/locale-service';
import {ERROR} from '../utils/ci-utils';

function lookupValidation(model) {
    return RS.isNilOrEmpty(model.key) ||
        RS.isNilOrEmpty(model.provider);
}

function defaultValidation(model) {
    if (!R.isNil(model) && R.propEq('kind', 'lookup')(model)) {
        return lookupValidation(model);
    }
    return RS.isNilOrEmpty(model);
}

export const defaultValidatorForRequiredField = (validatorEnabled, text = localeMessages.fieldIsRequired) =>
    (model) =>
        ({
            condition: validatorEnabled && defaultValidation(model),
            message: {show: false, text, type: ERROR}
        });
