import React, {Component} from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import {delayedHandler, clearTimeouts} from '../xl-react-button-utils';

export class XlReactButton extends Component {
    static propTypes = {
        children: PropTypes.element,
        className: PropTypes.string,
        disabled: PropTypes.bool,
        excludeDefaultClassName: PropTypes.bool,
        hidden: PropTypes.bool,
        inactiveTime: PropTypes.number,
        onClick: PropTypes.func,
        type: PropTypes.string
    };

    static defaultProps = {disabled: false, inactiveTime: 500, type: 'button'};

    state = {clickable: true};

    UNSAFE_componentWillMount() {
        this.timeouts = [];
    }

    componentWillUnmount() {
        clearTimeouts(this.timeouts);
    }

    handleOnClick = (event) => {
        delayedHandler(this, 'onClick', event);
    };

    render() {
        const {
            children,
            className,
            disabled,
            excludeDefaultClassName,
            hidden,
            type
        } = this.props;

        return <button
            className={classNames({'xl-react-button': !excludeDefaultClassName}, className)}
            disabled={disabled}
            hidden={hidden}
            onClick={this.handleOnClick}
            type={type}>
            {children}
        </button>;
    }
}
