import React, {PureComponent} from 'react';
import PropTypes from 'prop-types';
import {XlReactFormItemControl, formItemControlExposedProps} from '../../xl-react-form/xl-react-form-item-control';

export class XlReactDipBooleanComponent extends PureComponent {
    static propTypes = {
        handleModelChange: PropTypes.func,
        model: PropTypes.bool,
        onValidityChange: PropTypes.func,
        ...formItemControlExposedProps
    };

    render() {
        const {disabled, handleModelChange, model, name} = this.props;
        return <XlReactFormItemControl {...({...this.props, controlClass: 'xl-react-dip-boolean'})}>
            <input
                checked={model}
                disabled={disabled}
                name={name}
                onChange={handleModelChange}
                type="checkbox"
            />
        </XlReactFormItemControl>;
    }
}
