import React, {PureComponent} from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import {xlMessageTypeProp} from '../../xl-props/xl-message-type-prop';
import {hasValue} from '../../utils/components-utils';
import {validationMessageClasses} from '../../utils/css-utils';
import {XlReactFormItemControl} from '../../xl-react-form/xl-react-form-item-control';

import './xl-react-dip-integer.less';

export class XlReactDipIntegerComponent extends PureComponent {
    static propTypes = {
        assignRef: PropTypes.object,
        description: PropTypes.string,
        disabled: PropTypes.bool,
        handleChange: PropTypes.func,
        handleErase: PropTypes.func,
        label: PropTypes.string,
        message: xlMessageTypeProp,
        model: PropTypes.any,
        placeholder: PropTypes.string,
        required: PropTypes.bool,
        valid: PropTypes.bool
    };

    render() {
        const closeField = () => !this.props.disabled && hasValue(this.props.model) ?
            <i className="xl-icon close-icon" onClick={this.props.handleErase}/> : <span/>;

        return <XlReactFormItemControl {...({...this.props, controlClass: 'xl-react-dip-integer'})}>
            <input
                className={classNames(
                    validationMessageClasses(this.props.valid, this.props.message)
                )}
                disabled={this.props.disabled}
                onChange={this.props.handleChange}
                placeholder={this.props.placeholder}
                ref={this.props.assignRef}
                required={this.props.required}
                type="text"
                value={this.props.model}
            />
            {closeField()}
        </XlReactFormItemControl>;
    }
}
