import React, {PureComponent} from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import {localeMessages} from '../../services/locale-service';

export class AddRowButtonComponent extends PureComponent {
    static propTypes = {
        disabled: PropTypes.bool.isRequired,
        handleAddRow: PropTypes.func.isRequired
    };

    render() {
        const {
            handleAddRow,
            disabled
        } = this.props;

        return <button
            className={classNames('xl-react-button', 'xl-primary', 'add-row-button')}
            disabled={disabled}
            onClick={handleAddRow}>
            {localeMessages.addNewRowButton}
        </button>;
    }
}
