import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';

import './column-header.less';

const ColumnHeader = ({label, clazzName}) => <div className={classNames(clazzName, 'column-header')}>
    <div className="column-header-label">{label}</div>
    <div className="sort-icons">
        <div className="asc"/>
        <div className="desc"/>
    </div>
</div>;

ColumnHeader.propTypes = {
    clazzName: PropTypes.string,
    label: PropTypes.string.isRequired
};

export default ColumnHeader;
