import R from 'ramda';
import {sortStrings} from '../../utils/sorting-utils';

export const HEADER_HEIGHT = 26;
export const ROW_HEIGHT = 29;
export const MAX_ROWS = 5;

export const fillDataWithBlankRows = (data) => {
    const dataLength = R.length(data);
    if (dataLength < MAX_ROWS) {
        return R.concat(data, R.repeat('', MAX_ROWS - dataLength));
    }
    return R.identity(data);
};

export const getUpdatedCellState = (model, currentCellState, {sortDirection}) => {
    const sortedValues = sortStrings(model, sortDirection);
    return currentCellState ? {
        ...currentCellState,
        value: sortedValues[currentCellState.row]
    } : currentCellState;
};

export const appendNewKeyValueRow = (showNewKeyValueRow, data) => {
    if (showNewKeyValueRow) {
        return R.prepend('', data);
    }
    return R.identity(data);
};
