import R from 'ramda';
import * as KeyCodes from 'keycode-js';

const HIDE = 'confirmationDialog/HIDE';
const SHOW = 'confirmationDialog/SHOW';

const closeReasons = {
    CONFIRMED: 'closed',
    REJECTED: 'rejected'
};

const show = (options) => ({options, type: SHOW});

export default {
    HIDE,
    hide: (reason) => ({reason, type: HIDE}),
    reasons: closeReasons,
    SHOW,
    show,
    showConfirmReject: (options) => show({
        ...R.omit(['reject', 'confirm'], options),
        buttons: [{
            action: closeReasons.CONFIRMED,
            className: 'xl-primary',
            keyCodes: [KeyCodes.KEY_RETURN],
            label: options.confirm
        }, {
            action: closeReasons.REJECTED,
            className: 'xl-secondary',
            keyCodes: [KeyCodes.KEY_ESCAPE],
            label: options.reject
        }]
    })
};
