import R from 'ramda';
import {actionReducer, composeReducer, stateIdentity} from '../../../pages/reducers/reducer-utils';
import confirmationDialogActions from './confirmation-dialog-actions';

const show = actionReducer((state, action) => ({
    options: action.options,
    show: true
}));

const hide = actionReducer(R.always({show: false}));

export const xlReactConfirmationDialogReducer = (initialState = {show: false}) => composeReducer(
    show(confirmationDialogActions.SHOW),
    hide(confirmationDialogActions.HIDE),
    stateIdentity
)(initialState);
