import React from 'react';
import R from 'ramda';
import classNames from 'classnames';
import {confirmationDialogSkins} from '../xl-react-widget-confirmation-dialog-skins';
import {localeMessages} from '../../../services/locale-service';

export const checkboxConfirmationDialogBehavior = {
    isMatched: (skin) => skin === confirmationDialogSkins.CHECKBOX,
    renderButtonsLayout: (component) => {
        const {buttons} = component.props;
        return <div>
            <label className="dialog-check" htmlFor="confirmation-dialog-check">
                <input
                    id="confirmation-dialog-check"
                    onClick={component.handleCheck}
                    type="checkbox"
                />
                {localeMessages.createAnotherLabel}
            </label>
            {R.map((button) => {
                const onClick = () => component.handleClick(button.action);
                return <button
                    className={classNames('xl-react-button', button.className)}
                    disabled={button.disabled}
                    key={button.action}
                    onClick={onClick}
                    type="button">
                    {button.label}
                </button>;
            }, buttons)}
        </div>;
    }
};
