import React, {Component} from 'react';
import PropTypes from 'prop-types';
import R from 'ramda';

import RU from '../../utils/ramda-utils';
import {XlReactWidgetFilterComponent} from './xl-react-widget-filter-component';

export class XlReactWidgetFilter extends Component {
    static propTypes = {
        metadata: PropTypes.object,
        model: PropTypes.string,
        onUpdate: PropTypes.func
    };

    static defaultProps = {metadata: {}};

    constructor(props) {
        super(props);
        this.state = {model: R.defaultTo('', props.model)};
    }

    onChange = (event) => {
        this.applyNewModel(event.target.value);
    };

    onClear = () => {
        this.applyNewModel('');
    };

    applyNewModel = (newModel) => {
        this.setState({model: newModel});
        RU.invoke('onUpdate', [newModel], this.props);
    };

    render() {
        const {metadata: {label, placeholder}} = this.props;
        return <XlReactWidgetFilterComponent
            handleChange={this.onChange}
            handleClear={this.onClear}
            label={label}
            model={this.state.model}
            placeholder={placeholder}
        />;
    }
}
