# XlReactWidgetSpinner

Component with spinner.

### Summary

* [Exports](#exports)
* [Playground](#playground)
* [Properties](#properties)
* [Example](#example)

### Exports
```
- XlReactWidgetSpinner
```

### Playground
* [Spinner Widget](https://xebialabs.github.io/xl-react-components/kitchen-sink.html#/widget/widgetSpinner)

### Properties       
- **className** - (string) - control class name
- **message** - (node) - react element with message, displayed under the spinner
- **messageClassName** - (string) - message control class name
- **overlay** - (bool) - default is true, if false spinner will be set as full width element
- **show** - (bool) - if set to true spinner will be shown

### Example
```js
import {XlReactWidgetSpinner} from 'xl-react-components';

const overlay = false;

export const SpinnerWithContentComponent = () => {
    return  <div className="spinner-test-component">
                <XlReactWidgetSpinner 
                message={localeMessages.spinnerMessage} overlay={overlay} show={true}/>
                {overlay && <div> Content</div>}
            </div>;
};
```
