import {Action, Expectation} from 'protractor-base-dsl';

export default class ReduxTableDatePicker {
    constructor(componentSelector) {
        this.componentSelector = componentSelector;
        this.inputSelector = `${this.componentSelector} input`;
        this.datePickerSelector = `${this.componentSelector} .react-datepicker`;
    }

    clickOnInput = () => Action.clickIfClickable(this.inputSelector);
    expectInputDisabled = () => Expectation.disabled(this.inputSelector);
    expectInputEnabled = () => Expectation.enabled(this.inputSelector);
    expectInputValue = (value) =>
        Expectation.attributeContainsValue(`${this.componentSelector} input`, 'value', value);
    expectDatePickerPresent = () =>
        Expectation.present(this.datePickerSelector);
    expectDatePickerNotPresent = () =>
        Expectation.notPresent(this.datePickerSelector);
    selectDay = (day) =>
        Action.click(`${this.datePickerSelector} .react-datepicker__day--0${day}`);
    setValue = (value) =>
        Action.typeText(this.inputSelector, value);
}
