import {Action, ActionUtil, ReactAction, WaitCondition, XPath} from 'protractor-base-dsl';
import WidgetString from '../widget/widget-string';
import XlComponent from '../base/xl-component';

const inputSelector = '.testComponent .xl-react-components.xl-react-widget-string input';
const sectionSelector = '.xl-react-widget-string-with-button-addon';
const buttonSelector = `${sectionSelector} button.dropdown-toggle`;
const menuSelector = `${sectionSelector} .dropdown-menu`;

const clickEnterOnInput = () =>
    ReactAction.clickEnter(inputSelector);

const setValue = (value) => {
    WidgetString.setValue(value);
    clickEnterOnInput();
};

const openDropdown = () => {
    const action = () => Action.click(buttonSelector);
    const condition = () => WaitCondition.displayed(menuSelector);
    ActionUtil.repeatAction(action, condition);
};

const selectDropdownItem = (value) =>
    Action.click(XPath.withLinkContains(menuSelector, value));

const selectButtonValue = (value) => {
    openDropdown();
    selectDropdownItem(value);
};

const WidgetStringButtonAddon = {
    ...XlComponent,
    selectButtonValue,
    setValue
};

export default WidgetStringButtonAddon;

global.WidgetStringButtonAddon = WidgetStringButtonAddon;
