import {Action, Expectation} from 'protractor-base-dsl';
import XlComponent from '../base/xl-component';

const clearValue = () =>
    Action.click('.testComponent .xl-react-widget-filter .close-icon');
const expectEmptyInputValue = () =>
    Expectation.attributeContainsValue('.testComponent .xl-react-widget-filter input', 'value', '');
const expectClearIconNotPresent = () =>
    Expectation.notPresent('.testComponent .xl-react-widget-filter .close-icon');
const expectClearIconPresent = () =>
    Expectation.present('.testComponent .xl-react-widget-filter .close-icon');
const setValue = (value) =>
    Action.typeText('.testComponent .xl-react-widget-filter input', value);
const expectInputPlaceholderToEqual = (placeholderValue) => {
    const selector = '.testComponent .xl-react-widget-filter input';
    Expectation.attributeContainsValue(selector, 'placeholder', placeholderValue);
};

const WidgetFilter = {
    ...XlComponent,
    clearValue,
    expectClearIconNotPresent,
    expectClearIconPresent,
    expectEmptyInputValue,
    expectInputPlaceholderToEqual,
    setValue
};
export default WidgetFilter;
global.WidgetFilter = WidgetFilter;
