import Navigation from '../../../dsl/common/navigation';
import TestBindings from '../../../dsl/common/test-bindings';
import DipInteger from '../../../dsl/component/dip/dip-integer';

describe('XL DIP Integer Default Scenario', () => {
    afterAll(() => TestBindings.resetPristinity());
    beforeAll(() => Navigation.openDipElement('dipInteger2'));

    it('should have right initial state', () => {
        TestBindings.expectModelToEqual('30');
        TestBindings.expectPristineToEqual('true');
        TestBindings.expectValidToEqual('true');
        DipInteger.expectLabel('I\'m an integer');
        DipInteger.expectDescription('This is my int field.');
    });

    it('should work with negative values and show error in case of incorrect input', () => {
        DipInteger.clearValue();
        DipInteger.setValue('-');
        TestBindings.expectValidToEqual('false');
        DipInteger.expectError('Invalid integer provided');
        DipInteger.setValue('10');
        TestBindings.expectModelToEqual(-'10');
        TestBindings.expectValidToEqual('true');
    });
});
