import R from 'ramda';
import Navigation from '../../../dsl/common/navigation';
import TestBindings from '../../../dsl/common/test-bindings';
import DipListAutocomplete from '../../../dsl/component/dip/dip-list-autocomplete';

describe('XL DIP List With Autocomplete Scenario', () => {
    beforeAll(() => Navigation.openDipElement('dipArrayOfStrings2'));

    it('should be able add items from suggestions', () => {
        DipListAutocomplete.openSelection();
        DipListAutocomplete.expectSuggestionListIsPresent();

        for (const optionNumber of R.range(1, 7)) {
            DipListAutocomplete.expectSuggestionValue(optionNumber, `Application${optionNumber}`);
        }
        DipListAutocomplete.selectOption(1);
        TestBindings.expectModelToEqual('["Application1","Application4","Application1"]');
    });
});
