import Navigation from '../../../dsl/common/navigation';
import TestBindings from '../../../dsl/common/test-bindings';
import DipString from '../../../dsl/component/dip/dip-string';

describe('XL Dip String Default Scenario', () => {
    afterAll(() => TestBindings.resetPristinity());
    beforeAll(() => Navigation.openDipElement('dipString2'));

    it('should have right initial state', () => {
        TestBindings.expectModelToEqual('value');
        TestBindings.expectPristineToEqual('true');
        TestBindings.expectValidToEqual('true');
        DipString.expectLabel('String me');
        DipString.expectDescription('This is my string field.');
    });

    it('should display cross if any text is typed in input field', () => {
        DipString.expectClearIconPresent();
        TestBindings.expectPristineToEqual('true');
        DipString.clearValue();
        TestBindings.expectPristineToEqual('false');
        DipString.expectClearIconNotPresent();
        TestBindings.expectModelToEqual('');
    });
});
