import Navigation from '../../../dsl/common/navigation';
import WidgetAutocomplete from '../../../dsl/component/widget/widget-autocomplete';

describe('XL Widget Autocomplete Spinner Scenario', () => {
    afterEach(() => WidgetAutocomplete.clickOnLabel());
    beforeAll(() => Navigation.openWidgetElement('widgetAutocomplete5'));

    it('should show spinner when loading suggestions', () => {
        WidgetAutocomplete.clickOnInput();
        WidgetAutocomplete.waitForSpinner();
    });

    it('should hide spinner on blur', () => {
        WidgetAutocomplete.clickOnInput();
        WidgetAutocomplete.expectSpinnerPresent();
        WidgetAutocomplete.clickOnLabel();
        WidgetAutocomplete.expectSpinnerNotPresent();
    });
});
