import {localeMessages} from '../../../../../app/services/locale-service';
import Navigation from '../../../dsl/common/navigation';
import WidgetConfirmationDialogContainer
    from '../../../dsl/component/widget/xl-react-widget-confirmation-dialog-container';

const dialogTitle = localeMessages.confirmLeaveSaveTitle;
const dialogContent = localeMessages.unsavedChangesNotification;
const confirmText = localeMessages.leaveAction;
const rejectText = localeMessages.stayOnPageButton;

describe('XL Widget Confirmation Dialog Container Scenario', () => {
    beforeAll(() => Navigation.openWidgetElement('widgetConfirmationDialogContainer'));

    it('should be able to open and close modal dialog', () => {
        WidgetConfirmationDialogContainer.openConfirmationDialog();
        WidgetConfirmationDialogContainer.expectPresent();
        WidgetConfirmationDialogContainer.expectHeader(dialogTitle);
        WidgetConfirmationDialogContainer.expectContent(dialogContent);
        WidgetConfirmationDialogContainer.expectPrimaryButton(confirmText);
        WidgetConfirmationDialogContainer.expectSecondaryButton(rejectText);
        WidgetConfirmationDialogContainer.clickOnPrimaryButton();
        WidgetConfirmationDialogContainer.expectNotPresent();

        WidgetConfirmationDialogContainer.openConfirmationDialog();
        WidgetConfirmationDialogContainer.expectPresent();
        WidgetConfirmationDialogContainer.clickOnSecondaryButton();
        WidgetConfirmationDialogContainer.expectNotPresent();
    });
});
