import Navigation from '../../../dsl/common/navigation';
import WidgetReduxTable from '../../../dsl/component/widget/widget-redux-table';

describe('XL Widget Redux Table Toogle Filter Scenario', () => {
    beforeAll(() => Navigation.openWidgetElement('widgetReduxTable4'));

    it('should have correct initial data', () => {
        WidgetReduxTable.expectHeaders(['Value']);
        WidgetReduxTable.expectTotal(100);
        WidgetReduxTable.expectRowToBe(1, ['1']);
        WidgetReduxTable.expectRowToBe(2, ['2']);
        WidgetReduxTable.expectRowToBe(3, ['3']);
        WidgetReduxTable.expectRowToBe(4, ['4']);
        WidgetReduxTable.expectRowToBe(5, ['5']);
    });

    it('should filter with toggle button', () => {
        WidgetReduxTable.aboveToggleFilterBy('Value < 50');
        WidgetReduxTable.expectTotal(49);
        WidgetReduxTable.aboveToggleFilterBy('Value > 50');
        WidgetReduxTable.expectTotal(50);
        WidgetReduxTable.expectRowToBe(1, ['51']);
        WidgetReduxTable.expectRowToBe(2, ['52']);
        WidgetReduxTable.expectRowToBe(3, ['53']);
        WidgetReduxTable.expectRowToBe(4, ['54']);
        WidgetReduxTable.expectRowToBe(5, ['55']);
    });
});
