import {focusWithTimeout, shouldGetSuggestions} from '~/app/utils/behaviour-utils';

describe('behaviour-utils', () => {
    it('shouldGetSuggestions', () => {
        expect(shouldGetSuggestions({
            justClickedOnSuggestionsContainer: true,
            justSelectedSuggestion: true
        })).toBe(false);
        expect(shouldGetSuggestions({
            justClickedOnSuggestionsContainer: true,
            justSelectedSuggestion: false
        })).toBe(false);
        expect(shouldGetSuggestions({
            justClickedOnSuggestionsContainer: false,
            justSelectedSuggestion: true
        })).toBe(false);
        expect(shouldGetSuggestions({
            justClickedOnSuggestionsContainer: false,
            justSelectedSuggestion: false
        })).toBe(true);
    });

    it('should focusWithTimeout', () => {
        const component = {};
        const event = {};
        const handleOnFocus = jest.fn();
        const suggestionBehavior = {handleOnFocus};
        jest.useFakeTimers();
        focusWithTimeout(component, event, suggestionBehavior);
        jest.runAllTimers();
        expect(component).toEqual({justSelectedSuggestion: false});
        expect(handleOnFocus).toBeCalledWith(component, event);
    });
});
