import {isReadOnly} from '~/app/utils/display-mode';

describe('Display mode utils', () => {
    describe('isReadOnly', () => {
        it('should return "true" when display mode is "visual"', () => {
            expect(isReadOnly('visual', false)).toEqual(true);
        });
        it('should return "true" when display mode is "edit" but component is disabled', () => {
            expect(isReadOnly('edit', true)).toEqual(true);
        });
        it('should return "false" when display mode is "edit" but component is enabled', () => {
            expect(isReadOnly('edit', false)).toEqual(false);
        });
    });
});