import {diff} from 'deep-diff';
import {filterOutHiddenKeys} from '~/app/utils/filters';

describe('filters', () => {
    describe('filterOutHiddenKeys', () => {
        it('should remove only hidden keys', () => {
            const filteredObject = filterOutHiddenKeys({
                $propB: 2,
                propA: 1,
                propC: 3
            });
            const expectedResult = {
                propA: 1,
                propC: 3
            };
            const delta = diff(filteredObject, expectedResult);
            expect(delta).toBeUndefined();
        });
    });
});