import {
    getLabel,
    getValue
} from '~/app/xl-react-buttons/xl-react-toggle-button/xl-react-toggle-button-service';

describe('xl-react-toggle-button-service', () => {
    describe('getLabel', () => {
        it('should return objLabel property if button metadata is object', () => {
            const metadata = {label: 'MockLabel', value: true};
            expect(getLabel(metadata, 'label')).toBe(metadata.label);
        });

        it('should return button metadata if button metadata is not object', () => {
            const metadata = 'Metadata';
            expect(getLabel(metadata, 'label')).toBe(metadata);
            expect(getLabel(metadata)).toBe(metadata);
        });
    });

    describe('getValue', () => {
        it('should return objValue property if objValue is defined and button metadata is object', () => {
            const metadata = {label: 'MockLabel', value: true};
            expect(getValue(metadata, 'value')).toBe(true);
        });

        it('should return button metadata if objValue is not defined', () => {
            const objMetadata = {label: 'MockLabel', value: true};
            const metadata = 'Metadata';
            expect(getValue(objMetadata)).toEqual(objMetadata);
            expect(getValue(objMetadata, '')).toEqual(objMetadata);
            expect(getValue(metadata)).toBe(metadata);
            expect(getValue(metadata, '')).toBe(metadata);
        });

        it('should return button metadata if button metadata is not object', () => {
            const metadata = 'Metadata';
            expect(getValue(metadata, 'value')).toBe(metadata);
        });
    });
});
