import React from 'react';
import {mount} from 'enzyme';
import R from 'ramda';

import {XlReactDipCi} from '~/app/xl-react-dip/xl-react-dip-ci/xl-react-dip-ci';

describe('XlReactDipCi-default', () => {
    const handleModelChange = R.F;
    const defaultProps = {
        displayMode: 'edit',
        metadata: {label: 'Test Label', required: false},
        objLabel: 'id',
        onModelChange: handleModelChange
    };
    it('should have all elements to be present', () => {
        const wrapper = mount(<XlReactDipCi {...defaultProps}/>);
        expect(wrapper.find('XlReactWidgetLabel')).toExist();
        expect(wrapper.find('XlReactWidgetAutocomplete')).toExist();
    });

    it('should be able to render the component without label', () => {
        const wrapper = mount(<XlReactDipCi onModelChange={handleModelChange}/>);
        expect(wrapper.find('XlReactWidgetLabel')).not.toExist();
        expect(wrapper.find('.xl-react-components-input-full')).toExist();
    });

    it('should be able to render the component with label', () => {
        const wrapper = mount(<XlReactDipCi {...defaultProps}/>);
        expect(wrapper.find('XlReactWidgetLabel')).toExist();
        expect(wrapper.find('.xl-react-components-input')).toExist();
    });
});
