import {getSortingWithSortKey}
    from '~/app//xl-react-widget/xl-react-widget-redux-table/xl-react-widget-table-selectors';

describe('xl-react-widget-table-selectors', () => {
    describe('getSortingWithSortKey', () => {
        it('should select sorting with sort key as name property', () => {
            const layout = [
                {
                    dataKey: 'id',
                    sortKey: 'id'
                },
                {
                    dataKey: 'application',
                    sortKey: 'app_id'
                },
                {
                    dataKey: 'environment',
                    sortKey: 'env_id'
                }
            ];

            const state = {
                tables: {
                    table1: {
                        layout,
                        sorting: {
                            name: 'id',
                            order: 'asc'
                        }
                    },
                    table2: {
                        layout,
                        sorting: {
                            name: 'application',
                            order: 'desc'
                        }
                    }
                }
            };
            expect(getSortingWithSortKey(state, 'table1'))
                .toEqual({
                    name: 'id',
                    order: 'asc'
                });
            expect(getSortingWithSortKey(state, 'table2'))
                .toEqual({
                    name: 'app_id',
                    order: 'desc'
                });
        });
    });
});
